
package com.lideeyunji.tool.framework.sql.core.model;

import com.lideeyunji.tool.framework.yunji.enums.LideeYunJiFieldTypeEnum;

/**
 * 创建表-字段
 */
public class TableFieldModel {
    String fieldCode;
    LideeYunJiFieldTypeEnum fieldType;//字段类型
    String defaultValSql;

    public String getFieldCode() {
        return fieldCode;
    }

    public void setFieldCode(String fieldCode) {
        this.fieldCode = fieldCode;
    }

    public LideeYunJiFieldTypeEnum getFieldType() {
        return fieldType;
    }

    public void setFieldType(LideeYunJiFieldTypeEnum fieldType) {
        this.fieldType = fieldType;
    }

    public String getDefaultValSql() {
        return defaultValSql;
    }

    public void setDefaultValSql(String defaultValSql) {
        this.defaultValSql = defaultValSql;
    }
}
